kadischi/rc userhome.sh,1.5,1.6

Jasper O'neal Hartline (autopsy) fedora-extras-commits at redhat.com
Thu Aug 3 05:00:40 UTC 2006


Author: autopsy

Update of /cvs/devel/kadischi/rc
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv1637/kadischi/rc

Modified Files:
	userhome.sh 
Log Message:
Allow home to be mounted and store our user data.


Index: userhome.sh
===================================================================
RCS file: /cvs/devel/kadischi/rc/userhome.sh,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- userhome.sh	31 Jul 2006 02:54:15 -0000	1.5
+++ userhome.sh	3 Aug 2006 05:00:38 -0000	1.6
@@ -8,8 +8,8 @@
 
 
 introduction() {
-    fstype="$fstype $(zenity --title "$TITLE" --question  --text "This menu was designed to allow a user to mount a device under /home to store specific \
-user data and configurations, specifically the user's home. Would you like to continue?" \
+    fstype="$fstype $(zenity --title "$TITLE" --question  --text "This menu is designed to allow a user to mount a device under /home to store specific \
+user data and configurations, would you like to continue?" \
         --height=300 --width=300)"
         [ "$(echo $?)" != "0" ] && exit 1
 }
@@ -51,9 +51,13 @@
 }
 
 do_mount() {
-    umount /home
+    tar -cf /tmp/home.tar /home
+    umount -l /home
     mount -t $fstype $partition /home
     if [ "$?" -eq "0" ]; then
+        tar --directory / -xf /tmp/home.tar && rm -rf /tmp/home.tar
+    fi
+    if [ "$?" -eq "0" ]; then
         zenity --title "Kadischi User Data" --info --text "Success! Mounted $partition on /home as $fstype, If a non-root user doesn't already exist, create one now and logout, then log back in as your user."
         sleep 20
         exit 0




More information about the fedora-extras-commits mailing list